XML::DOM::AttDef(3)

NAME
XML::DOM::AttDef - A single XML attribute definition in an ATTLIST in XML::DOM

DESCRIPTION
XML::DOM::AttDef extends XML::DOM::Node, but is not part of the DOM Level 1 specification.

Each object of this class represents one attribute definition in an AttlistDecl.

  METHODS

getName
    Returns the attribute name.

getDefault
    Returns the default value, or undef.

isFixed
    Whether the attribute value is fixed (see #FIXED keyword.)

isRequired
    Whether the attribute value is required (see #REQUIRED keyword.)

isImplied
    Whether the attribute value is implied (see #IMPLIED keyword.)